aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2013-06-13 15:22:06 +0200
committerJustin Lecher <jlec@gentoo.org>2013-06-13 15:22:06 +0200
commit63242ac9625ad8745861738c71a2159868f276ca (patch)
tree1a6bf52113184ed72c34d6f1caf14133082b6be8 /dev-python/coords
parentdev-python/ffc: Version Bump; Bump to EAPI=5 and distutils-r1.eclass (diff)
downloadsci-63242ac9625ad8745861738c71a2159868f276ca.tar.gz
sci-63242ac9625ad8745861738c71a2159868f276ca.tar.bz2
sci-63242ac9625ad8745861738c71a2159868f276ca.zip
dev-python/coords: Bump to EAPI=5 and distutils-r1.eclass
Package-Manager: portage-2.2.0_alpha179
Diffstat (limited to 'dev-python/coords')
-rw-r--r--dev-python/coords/ChangeLog6
-rw-r--r--dev-python/coords/Manifest2
-rw-r--r--dev-python/coords/coords-0.37.ebuild22
-rw-r--r--dev-python/coords/metadata.xml4
4 files changed, 16 insertions, 18 deletions
diff --git a/dev-python/coords/ChangeLog b/dev-python/coords/ChangeLog
index 0c7e492e9..31e67611f 100644
--- a/dev-python/coords/ChangeLog
+++ b/dev-python/coords/ChangeLog
@@ -1,7 +1,11 @@
# ChangeLog for dev-python/coords
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 13 Jun 2013; Justin Lecher <jlec@gentoo.org> coords-0.37.ebuild,
+ metadata.xml:
+ Bump to EAPI=5 and distutils-r1.eclass
+
04 Aug 2011; S├ębastien Fabbro <bicatali@gentoo.org> metadata.xml:
Switched herd to sci-astronomy
diff --git a/dev-python/coords/Manifest b/dev-python/coords/Manifest
index 6ab61ce8e..cb56dc683 100644
--- a/dev-python/coords/Manifest
+++ b/dev-python/coords/Manifest
@@ -1 +1 @@
-DIST coords-0.37.tar.gz 736179 RMD160 bb273716fd4bd3f5df7558f5cdb19dde732ee5c3 SHA1 8de4563e2d2b43d9c1b308f6dad0dd702e795a1a SHA256 67ce4316e37a75b83a459e1103b497149d4fec9388ac042f756338fff1fc22b3
+DIST coords-0.37.tar.gz 736179 SHA256 67ce4316e37a75b83a459e1103b497149d4fec9388ac042f756338fff1fc22b3 SHA512 5989a9ec919bf3575dae3cd8a62c58b885ce97eb71ebf13431596f31b9fc7950dccfc6f54a6180c4400cefb2dba7d1f28a64ac80252d4b242092e9c6cb0e7587 WHIRLPOOL f728f9efa3dc6adbfd4a7242195964a2805a0ea358e67310af8f8eb387060d6c1bd64736ed1672eeb7ae4ff4745985bda38b0b814fc210e29746e6fc2a214a74
diff --git a/dev-python/coords/coords-0.37.ebuild b/dev-python/coords/coords-0.37.ebuild
index c9be8c7c8..6cad605f0 100644
--- a/dev-python/coords/coords-0.37.ebuild
+++ b/dev-python/coords/coords-0.37.ebuild
@@ -1,17 +1,15 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI=3
+EAPI=5
-PYTHON_DEPEND="2"
-SUPPORT_PYTHON_ABIS="1"
-RESTRICT_PYTHON_ABIS="3.*"
+PYTHON_COMPAT=( python{2_6,2_7} )
-inherit distutils
+inherit distutils-r1
DESCRIPTION="Managing astronomical coordinate systems"
-HOMEPAGE="https://trac6.assembla.com/astrolib/wiki/ http://www.scipy.org/AstroLib/"
+HOMEPAGE="https://trac6.assembla.com/astrolib/wiki/"
SRC_URI="http://stsdas.stsci.edu/astrolib/${P}.tar.gz"
LICENSE="AURA"
@@ -20,12 +18,8 @@ KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND=""
-RDEPEND="dev-python/numpy"
+RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]"
-src_test() {
- testing() {
- PYTHONPATH="$(ls -d build-${PYTHON_ABI}/lib.*)" "$(PYTHON)" -c "import coords as C; print C._test()"
- }
- # FIX ME: test fail on amd64, reported upstream
- use amd64 || python_execute_function testing
+python_test() {
+ "${PYTHON}" -c "import coords as C; print C._test()" || die
}
diff --git a/dev-python/coords/metadata.xml b/dev-python/coords/metadata.xml
index f5a586e46..34affbe95 100644
--- a/dev-python/coords/metadata.xml
+++ b/dev-python/coords/metadata.xml
@@ -1,8 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <herd>sci-astronomy</herd>
- <longdescription lang="en">
+ <herd>sci-astronomy</herd>
+ <longdescription lang="en">
coords is a part of Astrolib and provide a set of routines for managing
astronomical coordinate systems
</longdescription>